## xxgdb 1.12

=== debian/changelog ===
xxgdb (1.12-18) unstable; urgency=low

  * Switch to source/format 2.0 (quilt)

 -- Joey Schulze <joey@infodrom.org>  Sat, 09 Dec 2023 19:59:09 +0100

xxgdb (1.12-17) unstable; urgency=low

  * Import NMU
  * Remove debian/upstream.changelog, create it dynamically
  * Fix broken changelog handling
  * Fix NMU patch xxgdb
  * Remove README.source again, the use of dpatch is evident and
    dpkg-source -x works well, thus no need for this optional file
  * Adjust call to update-xaw-wrappers  

 -- Joey Schulze <joey@infodrom.org>  Fri, 11 Jun 2010 20:58:08 +0200

xxgdb (1.12-16.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
    - Update to packaging format "3.0 (quilt)".
  * debian/changelog
    - Delete obsolete Emacs variables from the end.
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): update obsolete xutils to xutils-dev
      and x-dev x11proto-core-dev (important; Closes: #515425).
      Update to debhelper 7.1.
    - (Depends): add ${misc:Depends}.
    - (Standards-Version): update to 3.8.4.
  * debian/copyright
    - Write full upstream URL.
  * debian/patches
    - Convert dpatch into quilt.
    - (Number 20): Fix manual page.
  * debian/preinst
    - Fix Lintian command-with-path-in-maintainer-script.
  * debian/README.source
    - New file.
  * debian/preinst
    - Arrange "set -e" differently for Lintian.
  * debian/rules
    - (CC): Add. Export variable for xmkmf(1).
    - (DH_COMPAT): remove.
    - (clean1, install): update dh_clean to dh_prep.
      Add dh_clean.
      Fix lintian debian-rules-ignores-make-clean-error.
    - (get-changelog): New target.
  * debian/source/format
    - New file.
  * debian/upstream.changelog
    - New file. See debian/rule::get-changelog.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 11 May 2010 10:57:37 +0300

xxgdb (1.12-16) unstable; urgency=low

  * Add dependency against xutils-dev, required after it was removed from
    xutils (closes: Bug#485731)

 -- Joey Schulze <joey@infodrom.org>  Wed, 11 Jun 2008 10:04:34 +0200

xxgdb (1.12-15) unstable; urgency=low

  * Converted package to dpatch
  * Clean up code to make it -Wall clean [010-gcc-wall.dpatch]
  * Stop linking against libICE, libXext, libSM and libXmu since they're
    not used

 -- Joey Schulze <joey@infodrom.org>  Sat, 17 May 2008 11:18:31 +0200

xxgdb (1.12-14) unstable; urgency=low

  * New maintainer
  * Added support for GNU/kFreeBSD, thanks to Petr Salinger
    <Petr.Salinger@seznam.cz> [005-kfreebsd.dpatch] (closes: Bug#398569)
  * nroff corrections by Nicolas François
    <nicolas.francois@centraliens.net> [006-nroff-fixes.dpatch] (closes: Bug#350502)
  * Spelling improvements by Florian Zumbiehl <florz@gmx.de>
    [debian/control] (closes: Bug#300051)
  * Applied patch to sort file menu by Michael Kebe
    <michael.kebe@gmail.com> [007-sort-filemenu.dpatch] (closes: Bug#480226)
  * Bump Standards-Version
  * Support Unix98 ptys, patch basis by Francesco Paolo Lovergine
    <frankie@debian.org> [008-unix98-ptys.dpatch] (closes: Bug#150046, Bug#344644)
  * Move Unix socket into home directory to prevent symlink attacks
    [009-iowinttypid.dpatch]
  * Adjusted menu section

 -- Joey Schulze <joey@infodrom.org>  Fri, 16 May 2008 16:17:58 +0200

xxgdb (1.12-13.2) unstable; urgency=high

  * Non-maintainer upload.
  * move pixmap out from /usr/X11R6/. Thanks to Andreas Henriksson.
    Closes: #370203

 -- Andreas Barth <aba@not.so.argh.org>  Tue, 12 Dec 2006 14:34:33 +0000

xxgdb (1.12-13.1) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346870).

 -- Luk Claes <luk@debian.org>  Fri, 20 Jan 2006 17:29:39 +0100

xxgdb (1.12-13) unstable; urgency=low

  * Rebuilt to remove the /usr/doc symlink
  * Color table for mini.debug.xpm now uses only the standard colors
    in /usr/share/pixmaps/cmap.xpm
  * Standard updated.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 13 Dec 2002 14:23:51 +0100

xxgdb (1.12-12) unstable; urgency=high

  * New maintainer.
  * Editing now works correctly in dialogWindow. Changed dialog.c in order
    to have DeleteWord() and DeleteLine() working good and introduced
    a new function DeleteChar(). This should be caused by the new Xaw7
    library, but there is no more an upstream to follow-up this error :(
    [004-backspace.dpatch] (Closes: #130199)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 Jan 2002 13:55:44 +0100

xxgdb (1.12-11) unstable; urgency=high

  * QA upload.
  * Added libxaw7-dev to Build-Depends.  Removed xaw-wrappers stuff.
    Closes: #119096.
  * Updated maintainer address to <packages@qa.debian.org>.
  * Conforms to Standards version 3.5.6.
  * debian/copyright: Updated upstream URL.

 -- Matej Vela <vela@debian.org>  Thu, 15 Nov 2001 20:21:51 +0100

xxgdb (1.12-10) unstable; urgency=medium

  * Package is orphaned; maintainer set to Debian QA Group.
  * Moved to debhelper 3 and current xaw-wrappers (>= 0.90).
    Closes: #37114, #89700.
  * Conforms to Standards version 3.5.2:
    * xutils added to Build-Depends.  Closes: #90252.
    * Install into /usr rather than /usr/X11R6.
    * debian/rules: Support the `debug' build option.
  * debian/mini.debug.xpm: Install into /usr/X11R6/include/X11/pixmaps
    rather than /usr/share/icons.  Closes: #34950, #43563.
  * debian/menu: Provide `hints="Debuggers"'.  Closes: #80069.
  * calldbx.c: Use x-terminal-emulator [002-x-terminal.dpatch]
  * debian/copyright: Updated.

 -- Matej Vela <vela@debian.org>  Thu, 29 Mar 2001 17:32:18 +0200

xxgdb (1.12-9.4) unstable; urgency=low

  * Non-maintainer upload
  * Fix dh_installxaw so that it tries to use Debian::Debhelper:Dh_Lib,
    not just Dh_Lib.
  * Applied patch from Sean 'Shaleh' Perry, adding Build-Depends
  * Recompile for woody, which fixes the app-defaults issue (closes:
    #86028)

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 17 Mar 2001 17:10:28 +0100


