=== debian/control ===
Source: xxgdb
Section: devel
Priority: optional
Maintainer: Joey Schulze <joey@infodrom.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.1), libxaw7-dev, libx11-dev,
 libxt-dev, x11proto-core-dev, xutils-dev

Package: xxgdb
Architecture: any
Depends: ${misc:Depends}, gdb, ${shlibs:Depends}
Description: An X front-end to the GNU debugger gdb
 xxgdb is a simple but powerful graphical interface to the GNU
 debugger gdb.  A more powerful (but slower and much bigger) interface
 is available in the ddd package.
