=== debian/watch ===
version=3
ftp://ftp.x.org/contrib/utilities/xxgdb-([\d.]+).tar.gz
